"use strict";
var JsonApiModule_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonApiModule = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nestjs/common");
const json_api_nestjs_common_module_1 = require("./json-api-nestjs-common.module");
const constants_1 = require("../lib/constants");
const mixin_1 = require("../lib/mixin");
let JsonApiModule = JsonApiModule_1 = class JsonApiModule {
    static forRoot(options) {
        JsonApiModule_1.connectionName =
            options.connectionName || JsonApiModule_1.connectionName;
        options.connectionName = JsonApiModule_1.connectionName;
        options.options = Object.assign(Object.assign({}, constants_1.ConfigParamDefault), options.options);
        const entityImport = options.entities.map((entity) => {
            const controller = (options.controllers || []).find((item) => Reflect.getMetadata(constants_1.JSON_API_DECORATOR_ENTITY, item) === entity);
            const module = mixin_1.BaseModuleClass.forRoot({
                entity,
                connectionName: JsonApiModule_1.connectionName,
                controller,
                config: Object.assign(Object.assign({}, constants_1.ConfigParamDefault), options.options),
            });
            module.imports = [
                ...module.imports,
                json_api_nestjs_common_module_1.JsonApiNestJsCommonModule.forRoot(options),
            ];
            return module;
        });
        return {
            module: JsonApiModule_1,
            imports: [...entityImport],
        };
    }
};
JsonApiModule.connectionName = constants_1.DEFAULT_CONNECTION_NAME;
JsonApiModule = JsonApiModule_1 = tslib_1.__decorate([
    (0, common_1.Module)({})
], JsonApiModule);
exports.JsonApiModule = JsonApiModule;
//# sourceMappingURL=json-api.module.js.map