"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonBaseController = void 0;
class JsonBaseController {
    getAll(query, rest) {
        return this.serviceMixin.getAll({ query });
    }
    getOne(id, query, rest) {
        return this.serviceMixin.getOne({
            route: {
                id,
            },
            query,
        });
    }
    deleteOne(id, rest) {
        return this.serviceMixin.deleteOne({
            route: {
                id,
            },
        });
    }
    postOne(body, rest) {
        return this.serviceMixin.postOne({
            body,
        });
    }
    patchOne(id, body, rest) {
        return this.serviceMixin.patchOne(Object.assign({ body }, {
            route: {
                id,
            },
        }));
    }
    getRelationship(id, relName, rest) {
        return this.serviceMixin.getRelationship({
            route: { id, relName },
        });
    }
    deleteRelationship(id, relName, body, rest) {
        return this.serviceMixin.deleteRelationship({
            route: { id, relName },
            body,
        });
    }
    patchRelationship(id, relName, body, rest) {
        return this.serviceMixin.patchRelationship({
            route: { id, relName },
            body,
        });
    }
    postRelationship(id, relName, body, rest) {
        return this.serviceMixin.postRelationship({
            route: { id, relName },
            body,
        });
    }
}
exports.JsonBaseController = JsonBaseController;
//# sourceMappingURL=json-base.controller.js.map